let userGroup = {
    chat_id: null,
    settings: {
        ajaxUrl: '',
        chat_listUrl: null,
        chat_add_msgUrl: null,
    },
    chat_ids: [],
    userId: null,
    init: function() {
        userGroup.initDataTable();
    },
    initDataTable: function() {

        var callBack = function() {
        };

        userGroup.dataList = jQ('#userGroup-datalist').DataTable({
            'processing': true,
            'serverSide': true,
            'ajax': {
                'url': userGroup.settings.ajaxUrl,
                'data': function(d) {
                    d.url = global.settings.url;
                }
            },
            'deferRender': true,
            'columnDefs': [
                { 'orderable': false, 'targets': 3 },
                { 'searchable': false, 'targets': 3 }
            ],
            drawCallback: function() {
                callBack();
            },
            responsive: {
                details: {
                    renderer: function( api,rowIdx ) {
                        return global.dataTableResponsiveCallBack(api, rowIdx, callBack);
                    }
                }
            }
        });

        jQ('.content-container').removeClass('has-loading');
        jQ('.content-container-content').removeClass('hide');
    }
};